Subject: Re: [ANCP] Additional base protocol issue resolutions

From: Wojciech Dec <[email-masked]>
Date: Wed, 18 Aug 2010 09:17:33 +0200

Let's go with the below, unless anyone comes up with reasons why not.

-Woj.

On 28/07/2010 16:12, "Tom Taylor" <[email-masked]> wrote:

> The meeting agreed on the following resolutions to ANCP base issues yesterday.
> I'm looking for confirmation or objections on the list.
> 
> 1) We will have a single combined version registry, more or less as it appears
> in the -10 version of the base protocol document. That is, the two initial
> entries will be:
> 
>   3.1 Pre-standard
>   3.2 ANCP version 1
> 
> 2) Tech Type 0x00 will be registered as "Not technology specific", as
> proposed.
> 
> 3) Informative text will be added in the IANA Function Code registry to say
> that 
> extensions to ANCP may establish sub-registries for X-Function Code values for
> specific values of the Function Code.
> 
> 4) Text fields will be defined as UTF-8 rather than ASCII, with additional
> text 
> as necessary to reassure people that UTF-8 encoding of the ASCII character set
> is identical to US-ASCII. An optional character set identification parameter
> will be added where necessary. Default in the absence of the parameter will be
> ASCII. It may take some research, but I'll make sure I have everything in
> place 
> to get this right.
> 
> Still to resolve: Whether ANCP should use GSMPv3 IANA registries or not, as
> discussed a few weeks ago.
> 
> Tom Taylor
> _______________________________________________
> ANCP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ancp